Bug 224377 - Failing masterfs tests
Failing masterfs tests
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
7.3
PC Windows 7
: P2 (vote)
: 7.3
Assigned To: Jaroslav Tulach
issues@platform
: 73_HR_FIX, TEST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 12:03 UTC by Jiri Skrivanek
Modified: 2013-01-24 09:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2013-01-02 12:03:29 UTC
Please, fix failing tests

org.netbeans.modules.masterfs.filebasedfs.RecursiveValidityTest.testConsistencyWhenDeletingRoot
org.netbeans.modules.masterfs.filebasedfs.RecursiveValidityTest.testConsistencyWhenDeletingRootAndRecreatingInMiddle
org.netbeans.modules.masterfs.SlowRefreshIncrementalTest.testChangesDeliveredSoonerThanEverythingIsChecked
org.netbeans.modules.masterfs.SlowRefreshPreferrableTest.testRefreshPrefersSuggestedFolders

http://hudson4qe.cz.oracle.com/view/Trunk-QE/job/StableBTD-7.3/jdk=JDK%207,label=Ubuntu-slave3/81/testReport/

ant -k -f masterfs test test-generate-html
Comment 1 Jaroslav Tulach 2013-01-09 15:44:37 UTC
ergonomics#67e3c2603292
Comment 2 Quality Engineering 2013-01-10 03:34:56 UTC
Integrated into 'main-golden', will be available in build *201301100107* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/67e3c2603292
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #224377: More reliable invalidation of the whole subtree
Comment 3 Marian Mirilovic 2013-01-13 13:59:51 UTC
Jirka, 
I think it isn't fixed in release73 .. if I am correct , do we want to have it fixed for 7.3 Stable BTD ?
Comment 4 Jiri Skrivanek 2013-01-14 07:36:15 UTC
Changeset 67e3c2603292 was pushed before branching, so it is also in releases repository. But two tests still fail on hudson slaves (they pass locally for me). Jardo, please evaluate whether only tests are broken or possibly IDE functionality.

org.netbeans.modules.masterfs.SlowRefreshIncrementalTest.testChangesDeliveredSoonerThanEverythingIsChecked
org.netbeans.modules.masterfs.SlowRefreshPreferrableTest.testRefreshPrefersSuggestedFolders

http://hudson4qe.cz.oracle.com/view/NB%207.3%20QE/job/StableBTD-7.3/93/testReport/

http://hudson4qe.cz.oracle.com/view/Platform/job/platform-masterfs/214/testReport/
Comment 5 Quality Engineering 2013-01-16 02:44:08 UTC
Integrated into 'main-golden', will be available in build *201301160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ad422bb6d4d0
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #224377: Increasing time out
Comment 6 Jaroslav Tulach 2013-01-23 14:47:36 UTC
d8dd739a36fa
branch:      release73
tag:         tip
parent:      252026:6be4c9e98cc7
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Wed Jan 23 15:45:24 2013 +0100
summary:     #224377: Removing two SlowRefresh failing tests from release73


I'll keep the tests in the default branch and plan to investigate what is wrong (as my hudson4qe tests are failing). But I guess we can close this issue for 7.3 - RecursiveValidityTest seems to be fixed now and the two failing SlowRefreshTests were removed.
Comment 7 Quality Engineering 2013-01-24 00:54:33 UTC
Integrated into 'releases', will be available in build *201301232200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/d8dd739a36fa
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #224377: Removing two SlowRefresh failing tests from release73


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo